Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Class ThemeInfo

    java.lang.Object
      org.jboss.portal.theme.ThemeInfo

    public final class ThemeInfo

extends java.lang.Object

Version:
  $Revision: 8784 $
Author:
  Martin Holzner, Roy Russo

Constructor Summary
`ThemeInfo(RuntimeContext ctx, PortalThemeMetaData meta)`

Method Summary
`java.lang.String` | `getAppId()` Get the application name of the WAR that contains this theme
`java.lang.String` | `getContextPath()` Get the context path of the servlet context in which the theme is contained.
`java.util.List` | `getElements()` Get all elements of this theme.
`java.util.List` | `getLinks()` Get all link elements that are defined as part of this theme
`java.lang.String` | `getName()` Get the name of this theme.
`ServerRegistrationID` | `getRegistrationId()`
`java.util.List` | `getScripts()` Get all script elements that are defined as part of this layout
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThemeInfo

    public ThemeInfo(RuntimeContext ctx,
                     PortalThemeMetaData meta)

Method Detail

### getContextPath

    public java.lang.String getContextPath()

  Get the context path of the servlet context in which the theme is contained.

  Returns:
    the context path of the WAR that contains this theme

### getAppId

    public java.lang.String getAppId()

  Get the application name of the WAR that contains this theme

  Returns:
    the application name of the WAR that contains this theme

### getName

    public java.lang.String getName()

  Get the name of this theme.

  Returns:
    the name of this theme

### getScripts

    public java.util.List getScripts()

  Get all script elements that are defined as part of this layout

  Returns:
    a `java.util.List` of script elements that are defined as part of this theme

### getLinks

    public java.util.List getLinks()

  Get all link elements that are defined as part of this theme

  Returns:
    a `java.util.List` of link elements that are defined as part of this theme

### getElements

    public java.util.List getElements()

  Get all elements of this theme.

  Elements of a theme are all the child nodes in the HEAD tag that are part of this theme. A theme can currently have script and link tags

  Returns:
    a `java.util.List` of all elements of the theme

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### getRegistrationId

    public ServerRegistrationID getRegistrationId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD